# Interface Encryptable

Although it would be useful, I don't think it's necessary for this to use pki associated with the paymail.

#### Hierarchy

- Encryptable

- Defined in types.ts:29

#####
Index

### Methods

decrypt
encrypt

## Methods

### decrypt

- decrypt(cipherText: Uint8Array): Promise<Uint8Array>

- #### Parameters

  - ##### cipherText: Uint8Array

  #### Returns Promise<Uint8Array>

  - Defined in types.ts:31

### encrypt

- encrypt(plainText: Uint8Array): Promise<Uint8Array>

- #### Parameters

  - ##### plainText: Uint8Array

  #### Returns Promise<Uint8Array>

  - Defined in types.ts:30

Generated using TypeDoc